/********************************************************************************
 * ePIMS $Source$
 * ePIMS $Project$
 *
 * Copyright (c) 2006 - 2010 by ePIMS						 
 *
 * All rights reserved. This program and the accompanying materials must NOT be
 * copied, used, transferred in any form without the expressed written 
 * permission of the author.	
 *	
 * Removing this notice and using the application does NOT negate the legal 
 * copyright notice.	
 *
 * @initialAPIImplementationBy St Clair Clarke
 *
 * @created $Created: September 17, 2010, 7:50:33 PM by St Clair Clarke$
 *  
 * @author $Author$
 *
 * @source $Source$
 * @path $FPath$
 * @project $Project$
 * @generics $Generics$
 *
 * @lastChangedBy	 $Author$
 * @lastChangedDate $Date$
 *
 * @version $Revision$ $Date$
 *
 * @changeRequest $CR$
 * @state $State$
 ********************************************************************************/



package _com.epimss.lab.data.toxicology

import groovy.beans.Bindable

import javax.inject.Inject

import _com.epimss.lab.data.misc.OtherRqst
import _com.epimss.lab.data.misc.RequestDateAndNumber

import javax.jdo.annotations.PersistenceCapable




/**
 * The domain|UI model for the {@link} UI.
 *
 * @since1.0
 * @version  $Revision$ $Date$
 */
@Bindable
@PersistenceCapable
class TherapeauticDrugScreenRqst
{
    
    Boolean             antiepileptics = false
    Boolean             antipsychotics = false
    Boolean             aspirin = false
    Boolean             cardiotoxins = false
    Boolean             digoxin = false
    Boolean             dilantin = false
    Boolean             hepatotoxins = false
    Boolean             lithium = false
    Boolean             other = false
    Boolean             phenobarb = false
    Boolean             tegretol = false
    
    
    OtherRqst    otherRqst = new OtherRqst()
    
    RequestDateAndNumber requestDateAndNumber = new RequestDateAndNumber()
}   // end class TherapeauticDrugScreenRqst
