/********************************************************************************
 * ePIMSs $Source$
 * ePIMSs $Project$
 * 
 * Copyright (c) 2006 - 2011 by ePIMSs
 * 
 * All rights reserved. This program and the accompanying materials must NOT be
 * copied, used, transferred in any form without the expressed written
 * permission of the author.
 * 
 * Removing this notice and using the application does NOT negate the legal
 * copyright notice.
 * 
 * @initialAPIImplementationBy St Clair Clarke
 * 
 * @author $Author$
 * 
 * @source $Source$
 * @path $FPath$
 * 
 * @project $Project$
 * @generics $Generics$
 * 
 * @lastChangedBy $Author$
 * @lastChangedDate $Date$
 * 
 * @version $Revision$ $Date$
 * 
 * @changeRequest $CR$
 * @state $State$
 ********************************************************************************/


package _com.epimss.lab.converters;


import org.eclipse.core.databinding.conversion.IConverter;

/**
 * The domain|UI model for the {@link} UI. TODO!
 * 
 * @created March 22, 2011 3:48:21 PM by St Clair Clarke
 * @since 1.0
 * @version $Revision$ $Date$
 */
class BigIntegerToStringConverter implements IConverter
{
    // ~ Methods----------------------------------------------------------------
    
    /**
     * The <code>convert()</code> method TODO!
     * @created March 22, 2011 3:48:21 PM by St Clair Clarke
     * @param fromObject
     *            Object TODO!
     * 
     * @return <code>Object</code> type if suscessfully executes.
     * 
     * @see org.eclipse.core.databinding.conversion.IConverter#convert(java.lang.Object)
     * @since 1.0
     */
    @Override
    Object convert( Object fromObject )
    {
        if( fromObject == 0)
            return ''
        
        fromObject.toString()
    } // end method convert
    
    
    /**
     * The <code>getFromType()</code> method TODO!
     * @created March 22, 2011 3:48:21 PM by St Clair Clarke
     * @return <code>Object</code> type if suscessfully executes.
     * 
     * @see org.eclipse.core.databinding.conversion.IConverter#getFromType()
     * @since 1.0
     */
    @Override
    Object getFromType()
    {
        BigInteger.class
    }   // end method getFromType
    
    
    /**
     * The <code>getToType()</code> method TODO!
     * 
     * @return <code>Object</code> type if suscessfully executes.
     * 
     * @see org.eclipse.core.databinding.conversion.IConverter#getToType()
     * @since 1.0
     */
    @Override
    Object getToType()
    {
        String.class
    } // end method getToType
    
} // end class BigIntegerToStringConverter
