/********************************************************************************
 * ePIMSs $Source$
 * ePIMSs $Project$
 *
 * Copyright (c) 2006 - 2011 by ePIMSs						 
 *
 * All rights reserved. This program and the accompanying materials must NOT be
 * copied, used, transferred in any form without the expressed written 
 * permission of the author.	
 *	
 * Removing this notice and using the application does NOT negate the legal 
 * copyright notice.	
 *
 * @initialAPIImplementationBy St Clair Clarke
 *  
 * @author $Author$
 *
 * @source $Source$
 * @path $FPath$
 * @project $Project$
 * @generics $Generics$
 *
 * @lastChangedBy	 $Author$
 * @lastChangedDate $Date$
 *
 * @version $Revision$ $Date$
 *
 * @changeRequest $CR$
 * @state $State$
 ********************************************************************************/


package _com.epimss.lab.ui.util;


import com.richclientgui.toolbox.propagate.PropagateGroup;

import org.eclipse.swt.widgets.Button;

/**
 * The domain|UI model for the {@link} UI. TODO!
 *
 * @created  June 22, 2011 3:10:47 PM by St Clair Clarke
 * @since    1.0
 * @version  $Revision$ $Date$
 */
class PropagateGroupVisibilityToggler
{
    //~ Methods ----------------------------------------------------------------
    
    /**
     * The <code>toggle()</code> method TODO!
     *
     * @created  June 22, 2011 3:12:45 PM by St Clair Clarke
     *
     * @param    ctrlBtn        visibilityCtrlBtn requestDateAndNumberViewForm RequestDateAndNumberViewForm TODO!
     * @param    prpgteGrpBtns  viewFormHostPrpgteCmpst PropagateComposite TODO!
     * @param    prpgteGrp      PropagateGroup TODO!
     *
     * @since    1.0
     */
    
    
    static void toggleChildrenOnControlButtonSelection( Button ctrlBtn, Button[] prpgteGrpBtns, PropagateGroup prpgteGrp )
    {
        if( ctrlBtn.getSelection() )
        {
            prpgteGrp.setVisible( true );
            
            for( int i = 0; i < prpgteGrpBtns.length; i++ )
            {
                prpgteGrpBtns[ i ].setSelection( true );
                
            }   // end for
            
        }
        else
        {
            prpgteGrp.setVisible( false );
            ctrlBtn.setSelection( false );
            
            for( int i = 0; i < prpgteGrpBtns.length; i++ )
            {
                prpgteGrpBtns[ i ].setSelection( false );
                
            }   // end for
            
        }   // end if-else
        
    }   // end method toggleChildrenOnControlButtonSelection
    
    
    /**
     * The <code>toggleControlButtonOnChildrenSelection()</code> method TODO!
     *
     * @created  June 23, 2011 2:56:41 PM by St Clair Clarke
     *
     * @param    ctrlBtn        visibilityCtrlBtn Button TODO!
     * @param    prpgteGrpBtns  Button[] TODO!
     * @param    prpgteGrp      PropagateGroup TODO!
     *
     * @since    1.0
     */
    static void toggleControlButtonOnChildrenSelection( Button ctrlBtn, Button[] prpgteGrpBtns, PropagateGroup prpgteGrp )
    {
        for( int i = 0; i < prpgteGrpBtns.length; i++ )
        {
            if( prpgteGrpBtns[ i ].getSelection() )
            {
                return;
                
            }   // end if
            
        }   // end for
        
        ctrlBtn.setSelection( false );
        prpgteGrp.setVisible( false );
        
        for( int i = 0; i < prpgteGrpBtns.length; i++ )
        {
            prpgteGrpBtns[ i ].setSelection( false );
            
        }   // end for
        
    }   // end method toggleControlButtonOnChildrenSelection
    
}   // end class PropagateGroupVisibilityToggler
